petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscEnd

Calls PetscFinalize() and then ends the program. This is useful if one wishes a clean exit somewhere deep in the program.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscEnd(void)

Collective on PETSC_COMM_WORLD Many br

Options Database Keys are the same as for PetscFinalize() Many br

Many br

### Note

See PetscInitialize() for more general runtime options. Many br

### See Also

PetscInitialize(), PetscOptionsView(), PetscMallocDump(), PetscMPIDump(), PetscFinalize()

Level:advanced
Location:src/sys/objects/init.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex30.c.html